// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

class CFindDifferenceDialog;

class CMainFrame : public CFrameWnd
{
protected: // create from serialization only
	CMainFrame();
	DECLARE_DYNCREATE(CMainFrame)

// Attributes
public:
	CSplitter* GetSplitter() { return &m_wndSplitter; }
	CProgressStatusBar *GetStatusBar() 
						{ return &m_wndStatusBar; }
	CDiffView *GetView(int nColumn);

	//preferences
	void SetIgnoreCase(BOOL bIgnore){ m_bIgnoreCase = bIgnore; }
	void SetIgnoreWhiteSpace(BOOL bIgnore)
							{ m_bIgnoreWhiteSpace = bIgnore; }
	void SetReadAheadOptLevel(UINT uLevel)
							{ m_uReadAheadOptLevel = uLevel; }

	BOOL GetIgnoreCase() const { return m_bIgnoreCase; }
	BOOL GetIgnoreWhiteSpace() const 
							{ return m_bIgnoreWhiteSpace; }
	UINT GetReadAheadOptLevel() const 
							{ return m_uReadAheadOptLevel; }


protected:
	//  Preferences
	BOOL		m_bIgnoreCase;			// Ignore case during comparison
	BOOL		m_bIgnoreWhiteSpace;	// Ignore leading white space during comparison
	UINT		m_uReadAheadOptLevel;


// Operations
public:
	void WriteRegistryPreferences();
	void ReadRegistryPreferences();


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	virtual BOOL OnCreateClient(LPCREATESTRUCT lpcs, CCreateContext* pContext);
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
	CProgressStatusBar		m_wndStatusBar;
	CToolBar				m_wndToolBar;
	CSplitter				m_wndSplitter;
	CFindDifferenceDialog*	m_pFindDiffDlg;

	void OnFindNextDifference(BOOL bSearchDown, 
							  BOOL bNextDifference);	

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDropFiles(HDROP hDropInfo);
	afx_msg void OnEditFindDiff();
	afx_msg void OnViewPreferences();
	//}}AFX_MSG
	afx_msg LRESULT OnFindDifferenceCmd (WPARAM, LPARAM lParam);
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
